@import url('https://fonts.googleapis.com/css2?family=Antonio:wght@100..700&family=Rubik+Mono+One&display=swap');

* {
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
    font-family: "Antonio", sans-serif;
    color: whitesmoke;
}

body {
    background-color: rgb(10, 10, 10);
}

section {
    position: relative;
    width: 100%;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    padding-left: 3%;
    padding-right: 3%;
    padding-bottom: 0;
    margin-bottom: 0;
    box-sizing: border-box;
    overflow: hidden;
}

header {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 10vh;
    background-color: rgb(10, 10, 10);
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    padding: 0;
    z-index: 1000;
}

.logo {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-grow: 1;
}

header .logo-link {
    display: block;
    width: fit-content;
    height: auto;
}

header .logo-link img {
    width: auto;
    max-width: 25vw;
    height: auto;
}

header .logo-link img:hover {
    filter: grayscale(100%) contrast(150%) blur(2px) saturate(200%) brightness(80%) opacity(0.9);
    transform: scale(1.05);
}

header .navbar {
    display: flex;
    align-items: center;
    margin-left: auto;
}

header .navbar li {
    list-style: none;
    margin-left: 3vw;
    margin-top: 2vw;
    padding: 0;
}

header .navbar li a {
    text-decoration: none;
    font-weight: 600;
    padding: 1vw;
    transition: 0.3s;
    font-size: 1em;
    text-transform: uppercase;
}

header .navbar li a:hover {
    border-bottom: 0.5vh solid rgba(199, 21, 21, 0.808);
}

.contenido {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin-top: 15vh;
    margin-bottom: 0;
    padding: 0;
    gap: 2vw;
}

.contenido .tituloBox {
    position: relative;
    max-width: 45%;
    flex: 1 1 45%;
    text-align: left;
    margin-left: 2vw;
    margin-top: 3vh;
}

.contenido .tituloBox h2 {
    font-size: 3em;
    text-transform: uppercase;
    text-align: center;
}

.contenido .tituloBox h2 span {
    background: rgba(224, 6, 6, 0.459);
    font-weight: 600;
    text-align: center;
    border-radius: 5px;
    padding: 0 5px;
}

.frase {
    margin-top: 2vw;
    text-align: center;
}

.contenido .tituloBox {
    align-items: center;
    text-align: center;
}

.contenido .tituloBox p {
    font-size: 2em;
    line-height: 1.5;
    font-weight: 300;
    margin-bottom: 2vh;
}

.contenido .tituloBox .frase2 {
    font-size: 1.5em;
    text-align: center;
}

.contenido .tituloBox a {
    text-decoration: none;
    letter-spacing: 2px;
    transition: 0.5s;
}

.contenido .tituloBox a:hover {
    border-bottom: 0.5vh solid rgba(199, 21, 21, 0.808);
}

.contenido .imgBox {
    display: flex;
    justify-content: center;
    align-items: center;
    flex: 1 1 45%;
    max-width: 45%;
}

.contenido .imgBox img {
    margin-top: 10vh;
    width: 50vh;
    height: auto;
    display: block;
}


/*Copyright*/

.copyright {
    bottom: 0px;
    margin-bottom: 20px;
    margin-top: 10px;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}
.copyright p{
    text-align: center;
}

/*Redes sociales*/

.redesSociales{
    display: flex;
    justify-content: center;
    align-items: center;
    list-style: none;
}

.redesSociales li {
    margin: 0 0.5vw;
    margin-bottom: 20px;
}

.redesSociales li:hover a {
    color: rgba(199, 21, 21, 0.808);
}

/*RESPONSIVE*/

/*Tablets*/

@media (max-width: 1024px) {

    header {
        flex-direction: column;
        align-items: center;
        height: auto;
        padding: 1vh 0;
    }

    header .logo-link {
        width: 100%;
        display: flex;
        justify-content: center;
    }

    header .logo-link img {
        width: 100%;
        max-width: 100vw;
        height: auto;
    }

    header .navbar {
        flex-direction: column;
        align-items: center;
        margin: 0;
        padding-bottom: 10px;
    }

    header .navbar li {
        margin: 1vh 0;
    }

    .contenido {
        flex-direction: column;
        align-items: center;
        margin-top: 20vh;
    }

    .contenido .tituloBox {
        max-width: 80%;
        margin-left: 0;
        text-align: center;
    }

    .contenido .tituloBox h2 {
        font-size: 2.2em;
    }

    .contenido .tituloBox p,
    .contenido .tituloBox .frase2 {
        font-size: 1.3em;
    }

    .contenido .tituloBox a {
        margin-left: 0;
        display: inline-block;
        margin-top: 10px;
    }

    .contenido .imgBox {
        margin-top: 4vh;
    }

    .contenido .imgBox img {
        padding-top: 30vh;
        max-width: 90%;
        max-height: 50vh;
    }
}

/*Móviles*/

@media (max-width: 768px) {

    .logo-link {
        width: 100%;
        display: flex;
        justify-content: center;
      }
      
      .logo-link img {
        width: 100%;
        max-width: 100vw;
        height: auto;
      }

    header {
        flex-direction: column;
        align-items: center;
        height: auto;
    }

    header .navbar {
        flex-direction: column;
        align-items: center;
        margin: 0;
        padding-bottom: 10px;
    }

    header .navbar li {
        margin: 1vh 0;
    }

    .contenido {
        margin: 0;
        flex-direction: column;
        align-items: center;
    }

    .contenido .tituloBox {
        max-width: 90%;
        margin-left: 0;
        text-align: center;
    }

    .contenido .tituloBox h2 {
        font-size: 2.2em;
    }

    .contenido .tituloBox p,
    .contenido .tituloBox .frase2 {
        font-size: 1.3em;
    }

    .contenido .tituloBox a {
        margin-left: 0;
        display: inline-block;
        margin-top: 10px;
    }

    .contenido .imgBox {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        margin-top: 4vh;
        text-align: center;
    }

    .contenido .imgBox img {
        max-width: 90%;
        max-height: 50vh;
        display: block;
        margin: 0 auto;
        padding: 0;
    }
}

/* Móviles pequeños*/

@media (max-width: 480px) {

    .logo-link {
        width: 100%;
        display: flex;
        justify-content: center;
      }
      
      .logo-link img {
        width: 100%;
        max-width: 100vw;
        height: auto;
      }
    
    .contenido .tituloBox h2 {
        font-size: 1.8em;
    }

    .contenido .tituloBox p,
    .contenido .tituloBox .frase2 {
        font-size: 1.1em;
    }

    .contenido .imBox {
        align-items: center;
    }

    .contenido .imgBox img {
        max-height: 40vh;
        margin: auto;
    }

    .redesSociales {
        flex-wrap: wrap;
    }

    .redesSociales li {
        margin: 5px;
    }
}
